package com.fs.ybPay.dto;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class ZfbJspayDTO {
    /**
     * 聚合支付账号
     */
    private String account;
    /**
     * 支付金额（单位：元）
     */
    private String payMoney;
    /**
     * 下游订单号
     */
    private String lowOrderId;
    /**
     * 商品描述
     */
    private String body;

    private String notifyUrl;  //回调通知地址（必须是外网可以访问的地址，接收支付结果通知）

    private String payType;  //0：微信，1：支付宝，4：银联，H：数字货币

    public Map<String, String> toMap() {
        Map<String, String> orderMap = new HashMap<>();
        orderMap.put("lowOrderId", this.lowOrderId);
        orderMap.put("payMoney", this.payMoney);
        orderMap.put("account", this.account);
        orderMap.put("body", this.body);
        orderMap.put("notifyUrl", this.notifyUrl);
        orderMap.put("payType", this.payType);
        return orderMap;
    }
}
